For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

Generate Cart and Checkout URL for Quote

POST
https://api-b2b.bigcommerce.com/api/v3/io/rfq/:quote_id/checkout
POST
/api/v3/io/rfq/:quote_id/checkout
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/checkout \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "checkoutUrl": "https://mybcstore.com/cart.php?action=loadInCheckout&id=0c3ede4f-edbe-4385-83a",
6 "cartId": "0c3ede4f-edbe-4385-83a",
7 "cartUrl": "https://mybcstore.com/cart.php?action=load&id=0c3ede4f-edbe-4385-83a"
8 }
9}
Generates a cart URL and a checkout URL for a specific quote based on the provided `quote_id`. You can only generate cart and checkout URLs for quotes in one of the following [statuses](#quote-statuses): * New (0) * In Process (2) * Updated by Customer (3) This endpoint will generate a checkout link for a quote even if it is configured to hide the checkout button on the Buyer Portal. You can use this to create an alternate checkout flow for your sales quotes.
Was this page helpful?
Previous

Delete Quote

Next

Assign Quote to BigCommerce Order

Built with

Generates a cart URL and a checkout URL for a specific quote based on the provided quote_id.

You can only generate cart and checkout URLs for quotes in one of the following statuses:

  • New (0)
  • In Process (2)
  • Updated by Customer (3)

This endpoint will generate a checkout link for a quote even if it is configured to hide the checkout button on the Buyer Portal. You can use this to create an alternate checkout flow for your sales quotes.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.

Response

OK
codeanyDefaults to 200
messagestringDefaults to SUCCESS
dataobject

Errors

422
Unprocessable Entity Error